import router from '@/router'
import store from '@/store'
import { Message } from 'element-ui'
import { tools } from '@/utils/tools'

//不重定向的白名单
const whiteList = ['/login']

router.beforeEach((to, from, next) => {
    // if (tools.getCookie()) {
    //     if (to.path == "login") {
    //         next({ path: "/" })
    //     } else {
    //         if (store.getters.)
    //     }
    // }
    let fullPath = to.fullPath,
        str = "创建",
        breadArr = [],
        path = to.path,
        toBread = to.meta.breadArr
    if (fullPath.indexOf("?") > -1) {
        str = "编辑"
    }
    if (!!to.meta.breadShow) {
        breadArr = toBread.map((item, index) => {
            let obj = {}
            obj.path = item.path
            obj.name = item.name
            if (index + 1 == toBread.length) {
                obj.name = str + item.name
            }
            return obj
        })
    }
    console.log(to, from, next, breadArr, "store")
    store.commit("bread/set_isShow", to.meta.breadShow)
    store.commit("bread/set_brandArr", breadArr)
    document.title = to.meta.title
    next()
})